### Method

# ECal ComponentPropertyBag remove_by_kind

since: 3.34

#### Declaration [src]

    guint
    e_cal_component_property_bag_remove_by_kind (
      ECalComponentPropertyBag* bag,
      ICalPropertyKind kind,
      gboolean all
    )

#### Description [src]

Removes the first or all (depending on the `all`) properties of the given `kind`.

Available since: 3.34

#### Parameters

`kind`

  Type: `ICalPropertyKind`

  An `ICalPropertyKind` to remove.

`all`

  Type: `gboolean`

  `TRUE` to remove all properties of the `kind`, or `FALSE` to only the first.

#### Return value

Type: `guint`

How many properties had been removed.